petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetFieldName

Gets the names of individual field components in multicomponent vectors associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetFieldName(DM da,PetscInt nf,const char **name)

Not Collective Many br

### Input Parameter

| da | - the distributed array Many br
| nf | - field number for the DMDA (0, 1, ... dof-1), where dof indicates the Many brnumber of degrees of freedom per node within the DMDA Many br

### Output Parameter

names -the name of the field (component) Many br

Many br

### Keywords

distributed array, get, component name

### See Also

DMDASetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ts/examples/tutorials/ex14.c.html